#include <stdio.h>
#include <stdlib.h>

#include "graph.h"


void main (int argc, char *argv []) {

  graph *graph_ptr;

  word seed;


  if (argc != 2) {

    printf ("Usage: shuffle seed\n");

    exit (ERROR);

  }

  graph_ptr = input_graph ();


  seed = atoi (argv [1]);

  init_rand (seed);
  shuffle_vertices (graph_ptr);

  shuffle_edges (graph_ptr);

  output_graph (graph_ptr);

  free_graph (graph_ptr);

}
